module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(1);


/***/ },
/* 1 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	    value: true
	});

	var _react = __webpack_require__(2);

	var React = _interopRequireWildcard(_react);

	var _main = __webpack_require__(3);

	var _main2 = _interopRequireDefault(_main);

	var _kendoReactAnimation = __webpack_require__(8);

	var _DialogTitleBar = __webpack_require__(9);

	var _DialogTitleBar2 = _interopRequireDefault(_DialogTitleBar);

	var _DialogActions = __webpack_require__(11);

	var _DialogActions2 = _interopRequireDefault(_DialogActions);

	var _classnames = __webpack_require__(10);

	var _classnames2 = _interopRequireDefault(_classnames);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

	function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

	var Dialog = function Dialog(props) {
	    var _classNames;

	    var hasTitle = props.title !== false;

	    var wrapperClasses = (0, _classnames2.default)((_classNames = {}, _defineProperty(_classNames, _main2.default.widget, true), _defineProperty(_classNames, _main2.default.window, true), _defineProperty(_classNames, _main2.default.centered, true), _defineProperty(_classNames, _main2.default['window-titleless'], !hasTitle), _classNames));

	    var contentClasses = (0, _classnames2.default)(_main2.default.content, _main2.default['window-content']);

	    var actions = null;
	    if (props.actions) {
	        actions = React.createElement(_DialogActions2.default, { actions: props.actions, onAction: props.onClose });
	    }

	    var title = null;
	    if (hasTitle) {
	        title = React.createElement(
	            _DialogTitleBar2.default,
	            { onClose: props.onClose },
	            props.title
	        );
	    }

	    return React.createElement(
	        'div',
	        { className: _main2.default['dialog-wrapper'] },
	        React.createElement('div', { className: _main2.default.overlay, onClick: props.onClose }),
	        React.createElement(
	            _kendoReactAnimation.Animation,
	            {
	                transitionAppear: true,
	                transitionAppearTimeout: 300,
	                transitionName: {
	                    appear: _main2.default['slide-in-appear'],
	                    appearActive: _main2.default['slide-in-appear-active']
	                }
	            },
	            React.createElement(
	                'div',
	                { className: wrapperClasses },
	                title,
	                React.createElement(
	                    'div',
	                    { className: contentClasses },
	                    props.children
	                ),
	                actions
	            )
	        )
	    );
	};

	Dialog.propTypes = {
	    actions: _DialogActions2.default.propTypes.actions,
	    children: React.PropTypes.node,
	    onClose: React.PropTypes.func,
	    title: React.PropTypes.oneOfType([React.PropTypes.bool, React.PropTypes.node, React.PropTypes.string])
	};

	exports.default = Dialog;

/***/ },
/* 2 */
/***/ function(module, exports) {

	module.exports = require("react");

/***/ },
/* 3 */
/***/ function(module, exports) {

	// removed by extract-text-webpack-plugin
	module.exports = {"widget":"k-widget","content":"k-content","header":"k-header","link":"k-link","centered":"k-centered","state-default":"k-state-default","state-selected":"k-state-selected","state-active":"k-state-active","textbox":"k-textbox","state-focused":"k-state-focused","state-hover":"k-state-hover","state-disabled":"k-state-disabled","button":"k-button","state-error":"k-state-error","state-empty":"k-state-empty","state-highlight":"k-state-highlight","icon":"k-icon","i-arrow-n":"k-i-arrow-n","i-arrow-e":"k-i-arrow-e","i-arrow-s":"k-i-arrow-s","i-arrow-w":"k-i-arrow-w","i-seen":"k-i-seen","i-seee":"k-i-seee","i-sees":"k-i-sees","i-seew":"k-i-seew","i-sarrow-n":"k-i-sarrow-n","i-sarrow-e":"k-i-sarrow-e","i-sarrow-s":"k-i-sarrow-s","i-sarrow-w":"k-i-sarrow-w","i-expand-n":"k-i-expand-n","i-expand-e":"k-i-expand-e","i-expand-s":"k-i-expand-s","i-expand-w":"k-i-expand-w","i-collapse-ne":"k-i-collapse-ne","i-collapse-se":"k-i-collapse-se","i-collapse-sw":"k-i-collapse-sw","i-collapse-nw":"k-i-collapse-nw","i-resize-ne":"k-i-resize-ne","i-resize-se":"k-i-resize-se","i-resize-sw":"k-i-resize-sw","i-resize-nw":"k-i-resize-nw","i-arrowhead-n":"k-i-arrowhead-n","i-arrowhead-e":"k-i-arrowhead-e","i-arrowhead-s":"k-i-arrowhead-s","i-arrowhead-w":"k-i-arrowhead-w","i-pencil":"k-i-pencil","i-x":"k-i-x","i-checkmark":"k-i-checkmark","i-deny":"k-i-deny","i-trash":"k-i-trash","i-plus":"k-i-plus","i-splus":"k-i-splus","i-minus":"k-i-minus","i-sminus":"k-i-sminus","i-filter":"k-i-filter","i-filter-clear":"k-i-filter-clear","i-refresh":"k-i-refresh","i-refresh-clear":"k-i-refresh-clear","i-restore":"k-i-restore","i-maximize":"k-i-maximize","i-minimize":"k-i-minimize","i-pin":"k-i-pin","i-unpin":"k-i-unpin","i-calendar":"k-i-calendar","i-clock":"k-i-clock","i-search":"k-i-search","i-zoom-in":"k-i-zoom-in","i-zoom-out":"k-i-zoom-out","i-print":"k-i-print","i-folder-add":"k-i-folder-add","i-folder-up":"k-i-folder-up","i-insert-image":"k-i-insert-image","i-image":"k-i-image","i-insert-file":"k-i-insert-file","i-file":"k-i-file","i-files":"k-i-files","i-pdf":"k-i-pdf","i-pdfa":"k-i-pdfa","i-xls":"k-i-xls","i-xlsa":"k-i-xlsa","i-lock":"k-i-lock","i-unlock":"k-i-unlock","i-rows":"k-i-rows","i-columns":"k-i-columns","i-hamburger":"k-i-hamburger","i-vbars":"k-i-vbars","i-hbars":"k-i-hbars","i-move":"k-i-move","i-group":"k-i-group","i-ungroup":"k-i-ungroup","i-dimension":"k-i-dimension","i-connector":"k-i-connector","i-kpi":"k-i-kpi","i-undo":"k-i-undo","i-redo":"k-i-redo","i-undo-large":"k-i-undo-large","i-redo-large":"k-i-redo-large","i-rotate-ccw":"k-i-rotate-ccw","i-rotate-cw":"k-i-rotate-cw","i-cut":"k-i-cut","i-copy":"k-i-copy","i-paste":"k-i-paste","i-bold":"k-i-bold","i-italic":"k-i-italic","i-underline":"k-i-underline","i-strike-through":"k-i-strike-through","i-text":"k-i-text","i-font-size":"k-i-font-size","i-font-family":"k-i-font-family","i-fx":"k-i-fx","i-subscript":"k-i-subscript","i-superscript":"k-i-superscript","i-background":"k-i-background","i-sum":"k-i-sum","i-increase-decimal":"k-i-increase-decimal","i-decrease-decimal":"k-i-decrease-decimal","i-justify-left":"k-i-justify-left","i-justify-center":"k-i-justify-center","i-justify-right":"k-i-justify-right","i-justify-full":"k-i-justify-full","i-justify-clear":"k-i-justify-clear","i-align-top":"k-i-align-top","i-align-middle":"k-i-align-middle","i-align-bottom":"k-i-align-bottom","i-indent":"k-i-indent","i-outdent":"k-i-outdent","i-insert-n":"k-i-insert-n","i-insert-m":"k-i-insert-m","i-insert-s":"k-i-insert-s","i-insert-unordered-list":"k-i-insert-unordered-list","i-insert-ordered-list":"k-i-insert-ordered-list","i-sort-asc":"k-i-sort-asc","i-sort-desc":"k-i-sort-desc","i-unsort":"k-i-unsort","i-hyperlink":"k-i-hyperlink","i-hyperlinremove":"k-i-hyperlinremove","i-clearformat":"k-i-clearformat","i-html":"k-i-html","i-exception":"k-i-exception","i-custom":"k-i-custom","i-cog":"k-i-cog","i-create-table":"k-i-create-table","i-add-column-left":"k-i-add-column-left","i-add-column-right":"k-i-add-column-right","i-delete-column":"k-i-delete-column","i-add-row-above":"k-i-add-row-above","i-add-row-below":"k-i-add-row-below","i-delete-row":"k-i-delete-row","i-merge-cells":"k-i-merge-cells","i-normal-layout":"k-i-normal-layout","i-page-layout":"k-i-page-layout","i-all-borders":"k-i-all-borders","i-inside-borders":"k-i-inside-borders","i-inside-horizontal-borders":"k-i-inside-horizontal-borders","i-inside-vertical-borders":"k-i-inside-vertical-borders","i-outside-borders":"k-i-outside-borders","i-top-border":"k-i-top-border","i-right-border":"k-i-right-border","i-bottom-border":"k-i-bottom-border","i-left-border":"k-i-left-border","i-no-borders":"k-i-no-borders","i-merge-horizontally":"k-i-merge-horizontally","i-merge-vertically":"k-i-merge-vertically","i-text-wrap":"k-i-text-wrap","i-dollar":"k-i-dollar","i-percent":"k-i-percent","i-freeze-col":"k-i-freeze-col","i-freeze-row":"k-i-freeze-row","i-freeze-panes":"k-i-freeze-panes","i-format-number":"k-i-format-number","i-reset-color":"k-i-reset-color","i-file-horizontal":"k-i-file-horizontal","i-folder":"k-i-folder","i-folder-open":"k-i-folder-open","button-icon":"k-button-icon","button-icontext":"k-button-icontext","image":"k-image","sprite":"k-sprite","button-bare":"k-button-bare","button-group":"k-button-group","group-start":"k-group-start","group-end":"k-group-end","primary":"k-primary","push-right-enter":"k-push-right-enter","push-right-appear":"k-push-right-appear","push-right-enter-active":"k-push-right-enter-active","push-right-appear-active":"k-push-right-appear-active","push-right-leave":"k-push-right-leave","push-right-leave-active":"k-push-right-leave-active","push-left-enter":"k-push-left-enter","push-left-appear":"k-push-left-appear","push-left-enter-active":"k-push-left-enter-active","push-left-appear-active":"k-push-left-appear-active","push-left-leave":"k-push-left-leave","push-left-leave-active":"k-push-left-leave-active","push-down-enter":"k-push-down-enter","push-down-appear":"k-push-down-appear","push-down-enter-active":"k-push-down-enter-active","push-down-appear-active":"k-push-down-appear-active","push-down-leave":"k-push-down-leave","push-down-leave-active":"k-push-down-leave-active","push-up-enter":"k-push-up-enter","push-up-appear":"k-push-up-appear","push-up-enter-active":"k-push-up-enter-active","push-up-appear-active":"k-push-up-appear-active","push-up-leave":"k-push-up-leave","push-up-leave-active":"k-push-up-leave-active","expand":"k-expand","child-animation-container":"k-child-animation-container","fade-enter":"k-fade-enter","fade-enter-active":"k-fade-enter-active","fade-leave":"k-fade-leave","fade-leave-active":"k-fade-leave-active","zoom-in-enter":"k-zoom-in-enter","zoom-in-appear":"k-zoom-in-appear","zoom-in-enter-active":"k-zoom-in-enter-active","zoom-in-appear-active":"k-zoom-in-appear-active","zoom-in-leave":"k-zoom-in-leave","zoom-in-leave-active":"k-zoom-in-leave-active","zoom-out-enter":"k-zoom-out-enter","zoom-out-appear":"k-zoom-out-appear","zoom-out-enter-active":"k-zoom-out-enter-active","zoom-out-appear-active":"k-zoom-out-appear-active","zoom-out-leave":"k-zoom-out-leave","zoom-out-leave-active":"k-zoom-out-leave-active","slide-in-appear":"k-slide-in-appear","slide-in-appear-active":"k-slide-in-appear-active","slide-down-enter":"k-slide-down-enter","slide-down-enter-active":"k-slide-down-enter-active","slide-down-leave":"k-slide-down-leave","slide-down-leave-active":"k-slide-down-leave-active","slide-up-enter":"k-slide-up-enter","slide-up-enter-active":"k-slide-up-enter-active","slide-up-leave":"k-slide-up-leave","slide-up-leave-active":"k-slide-up-leave-active","window":"k-window","window-titleless":"k-window-titleless","window-titlebar":"k-window-titlebar","window-actions":"k-window-actions","window-action":"k-window-action","window-title":"k-window-title","window-content":"k-window-content","window-iframecontent":"k-window-iframecontent","resize-handle":"k-resize-handle","resize-n":"k-resize-n","resize-e":"k-resize-e","resize-s":"k-resize-s","resize-w":"k-resize-w","resize-se":"k-resize-se","resize-sw":"k-resize-sw","resize-ne":"k-resize-ne","resize-nw":"k-resize-nw","overlay":"k-overlay","dialog-wrapper":"k-dialog-wrapper","animation-container":"k-animation-container","action-buttons":"k-action-buttons"};

/***/ },
/* 4 */,
/* 5 */,
/* 6 */,
/* 7 */,
/* 8 */
/***/ function(module, exports) {

	module.exports = require("@telerik/kendo-react-animation");

/***/ },
/* 9 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	    value: true
	});

	var _react = __webpack_require__(2);

	var React = _interopRequireWildcard(_react);

	var _main = __webpack_require__(3);

	var _main2 = _interopRequireDefault(_main);

	var _classnames = __webpack_require__(10);

	var _classnames2 = _interopRequireDefault(_classnames);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

	var DialogTitleBar = function DialogTitleBar(props) {
	    var titleBarClasses = (0, _classnames2.default)(_main2.default.reset, _main2.default.header, _main2.default['window-titlebar']);

	    var buttonClasses = (0, _classnames2.default)(_main2.default['window-action'], _main2.default.button);

	    return React.createElement(
	        'div',
	        { className: titleBarClasses },
	        React.createElement(
	            'span',
	            { className: _main2.default['window-title'] },
	            props.children
	        ),
	        React.createElement(
	            'div',
	            { className: _main2.default['window-actions'] },
	            React.createElement(
	                'span',
	                { className: buttonClasses, onClick: props.onClose, role: 'button' },
	                '❌'
	            )
	        )
	    );
	};

	DialogTitleBar.propTypes = {
	    children: React.PropTypes.node,
	    onClose: React.PropTypes.func
	};

	exports.default = DialogTitleBar;

/***/ },
/* 10 */
/***/ function(module, exports) {

	module.exports = require("classnames");

/***/ },
/* 11 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	    value: true
	});

	var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

	var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

	var _react = __webpack_require__(2);

	var React = _interopRequireWildcard(_react);

	var _main = __webpack_require__(3);

	var _main2 = _interopRequireDefault(_main);

	var _kendoReactButtons = __webpack_require__(12);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var actionMethodsFrom = function actionMethodsFrom(props) {
	    return props.actions.map(function (action) {
	        return !React.isValidElement(action) && function () {
	            return props.onAction({ action: action });
	        };
	    });
	};

	var DialogActions = function (_React$Component) {
	    _inherits(DialogActions, _React$Component);

	    function DialogActions(props) {
	        _classCallCheck(this, DialogActions);

	        var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(DialogActions).call(this, props));

	        _this.state = { actions: actionMethodsFrom(props) };
	        return _this;
	    }

	    _createClass(DialogActions, [{
	        key: 'componentWillReceiveProps',
	        value: function componentWillReceiveProps(nextProps) {
	            this.state = { actions: actionMethodsFrom(nextProps) };
	        }
	    }, {
	        key: 'render',
	        value: function render() {
	            var _this2 = this;

	            return React.createElement(
	                'div',
	                { className: _main2.default['action-buttons'] },
	                this.props.actions.map(function (action, index) {
	                    var button = action;

	                    if (!React.isValidElement(button)) {
	                        button = React.createElement(
	                            _kendoReactButtons.Button,
	                            _extends({
	                                key: index,
	                                onClick: _this2.state.actions[index]
	                            }, button),
	                            button.text
	                        );
	                    }

	                    return button;
	                })
	            );
	        }
	    }]);

	    return DialogActions;
	}(React.Component);

	DialogActions.propTypes = {
	    actions: React.PropTypes.arrayOf(React.PropTypes.object),
	    onAction: React.PropTypes.func
	};

	exports.default = DialogActions;

/***/ },
/* 12 */
/***/ function(module, exports) {

	module.exports = require("@telerik/kendo-react-buttons");

/***/ }
/******/ ]);